Bug 2961 - urpmi was patched to prefer wget [UPDATE REQUEST]
: urpmi was patched to prefer wget [UPDATE REQUEST]
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 19:16 MSD by Alexander Burmashev
Modified: 2014-11-06 18:16 MSK (History)
3 users (show)

See Also:
RPM Package: urpmi
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
test messages (6.27 KB, text/plain)
2014-11-06 14:49 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-10-21 19:16:01 MSD
urpmi was patched to prefer wget
Comment 1 Alexander Burmashev 2013-10-21 19:17:17 MSD
Advisory:
If wget and curl are both available urpmi should prefer wget. Generally urpmi should use wget by default.

buildlists:
https://abf.rosalinux.ru/build_lists/1362956
https://abf.rosalinux.ru/build_lists/1362957
Comment 2 Vladimir Potapov 2013-10-22 16:09:15 MSD
urpmi-6.71-42-rosa2012.1
****************** Advisory **********************
If wget and curl are both available urpmi should prefer wget. Generally urpmi should use wget by default.
**************************************************
QA Verified
Comment 3 Denis Silakov 2014-01-23 23:09:48 MSK
As far as I can see, this change was never pushed to repos.
Comment 4 Alexander Burmashev 2014-01-23 23:29:33 MSK
Yep, maybe worth re-patching and re-sending to QA.
Comment 5 Denis Silakov 2014-11-05 15:08:30 MSK
It was decided to finally switch to wget by default.
Comment 6 Denis Silakov 2014-11-05 22:50:45 MSK
Advisory:
If wget and curl are both available urpmi should prefer wget. Generally urpmi should use wget by default.

buildlists:
https://abf.rosalinux.ru/build_lists/2328866
https://abf.rosalinux.ru/build_lists/2328865
Comment 7 FirstLevel 2014-11-06 14:48:35 MSK
prerequisite 
/etc/urpmi/urpmi.cfg does not contain info about downloader
I have  
{
} 
in global parameters

With old urpmi in 32bit system I have aria2c as downloader for urpmi and rpmdrake.

With new urpmi in 32bit system I have wget as downloader for urpmi and rpmdrake.

With old urpmi in 64bit system I have curl as downloader for urpmi and rpmdrake.

With new urpmi in 64bit system I have wget as downloader for urpmi and rpmdrake.


I see that requested functionality is presented.
Comment 8 FirstLevel 2014-11-06 14:49:23 MSK
Created attachment 3409 [details]
test messages
Comment 9 Vladimir Potapov 2014-11-06 16:19:02 MSK
http://bugs.rosalinux.ru/show_bug.cgi?id=4623
Comment 10 FirstLevel 2014-11-06 16:40:49 MSK
I have tested newly installed OS (32bit and 64bit).
By default there are no global parameters for urpmi in config:
[root@r4-32 ~]# head /etc/urpmi/urpmi.cfg 
{
}

main http://mirror.rosalab.ru/rosa/rosa2014.1/repository/i586/media/main/release {
}

main\ updates http://mirror.rosalab.ru/rosa/rosa2014.1/repository/i586/media/main/updates {
  update
}

and I see CURL - as download manager in GUI (Repository manager)

I have updated urpmi from container and could update newly installed system to actual updates.

urpmi requested functionality is presented.
Comment 11 Denis Silakov 2014-11-06 17:01:23 MSK
New build lists:

https://abf.io/build_lists/2329268
https://abf.io/build_lists/2329267

Now GUI should understand that wget is used by default.
Comment 12 FirstLevel 2014-11-06 17:44:25 MSK
(In reply to comment #11)
> New build lists:
> 
> https://abf.io/build_lists/2329268
> https://abf.io/build_lists/2329267
> 
> Now GUI should understand that wget is used by default.

I have tested this packages.
prerequisite 
/etc/urpmi/urpmi.cfg does not contain info about downloader
I have  
{
} 
in global parameters

With old urpmi in 32bit system I have aria2c as downloader for urpmi and rpmdrake. And I see CURL in GUI (Package sources manager)

With new urpmi in 32bit system I have wget as downloader for urpmi and rpmdrake. And I see WGET in GUI (Package sources manager)

With old urpmi in 64bit system I have curl as downloader for urpmi and rpmdrake. And I see CURL in GUI (Package sources manager)

With new urpmi in 64bit system I have wget as downloader for urpmi and rpmdrake. And I see WGET in GUI (Package sources manager)


I see that requested functionality is presented.
Comment 13 Vladimir Potapov 2014-11-06 18:08:10 MSK
urpmi-7.32.3-23
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2329267/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2329268/x86_64/main/release/
************************** Advisory *******************
If wget and curl are both available urpmi should prefer wget. Generally urpmi should use wget by default. Also fix bug#4623 Now GUI should understand that wget is used by default.
*******************************************************
QA Verified